Subject: Re: perl 5.8 / autoheader issue
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Date: Wed, 28 Aug 2002 20:47:17 +0200

Hallo Nicholas,

Am Mittwoch, 28. August 2002 um 18:49 schriebst du:

> --- Conrad Scott <[email-masked]> wrote:
>> I just updated my system to use (the experimental) perl 5.8 and
>> I've run into a problem w/ autoheader that seems to be a perl
>> issue.

>> (I'm also running the latest cygwin DLL from CVS in case that's
>> relevant; and I'm on win2k SP3; cygcheck output attached.)

> I, too, am having problems with perl-5.8.0 and autoheader.  When perl
> gets ready to evaluate one of the autoheader perl scripts, it craps
> out.  I'm running the same cygwin dll as Scott, except I'm on WinME. 
> However, the error I get it doesn't seem like a rebase problem:

I have no problems with the latest release of cygwin DLL and Perl on
NT4 and W2K.  Also running e.g. autoheader doesn't make problems.

> assertion "!wait_sig_inited" failed: file
> "../../../../src/winsup/cygwin/sigproc.cc", line 656
> ...
> [Repeated 100+ times]
> ...
> 18172853 [main] perl 627215 sync_with_child: child -901351(0x1A4)
> died before initialization with status code 0xFFFFFFFF
> 18172888 [main] perl 627215 sync_with_child: *** child state child
> loading dlls

Hmmm, looks not like a Perl problem to me.  Could someone try to
rebuild perl to see if this would change the behaviour?

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/